aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--installation/appc/src/main/scripts/dockerInstall.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/installation/appc/src/main/scripts/dockerInstall.sh b/installation/appc/src/main/scripts/dockerInstall.sh
index a183155..264e8d9 100644
--- a/installation/appc/src/main/scripts/dockerInstall.sh
+++ b/installation/appc/src/main/scripts/dockerInstall.sh
@@ -40,6 +40,15 @@ ${ODL_HOME}/bin/start
echo "Waiting ${SLEEP_TIME} seconds for OpenDaylight to initialize"
sleep ${SLEEP_TIME}
+echo "Checking that Karaf can be accessed"
+clientOutput=$(${ODL_HOME}/bin/client shell:echo KarafLoginCheckIsWorking)
+if echo "$clientOutput" | grep -q "KarafLoginCheckIsWorking"; then
+echo "Karaf login succeeded"
+else
+echo "Error during Karaf login"
+exit 1
+fi
+
echo "Copying a working version of the logging configuration into the opendaylight etc folder"
cp ${APPC_HOME}/data/org.ops4j.pax.logging.cfg ${ODL_HOME}/etc/org.ops4j.pax.logging.cfg
echo "Copying a new version of aaf cadi shiro into the opendaylight deploy folder"